﻿Imports System.Configuration
Imports System.IO
Imports System.Net
Imports System.Net.Mail

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub SendEmail(ByVal sender As Object, ByVal e As EventArgs)
        Dim body As String = Me.PopulateBody("John",
        "Fetch multiple values as Key Value pair in ASP.Net AJAX AutoCompleteExtender",
        "https://www.aspsnippets.com/Articles/Fetch-multiple-values-as-Key-Value-pair-in-ASP.Net-AJAX-AutoCompleteExtender.aspx",
        "Here Mudassar Khan has explained with an example, how to fetch multiple column values i.e." &
        " ID and Text values in the ASP.Net AJAX Control Toolkit AutocompleteExtender" &
        " and also how to fetch the select text and value server side on postback.")
        Me.SendHtmlFormattedEmail("sender@gmail.com", "New article published!", body)
    End Sub

    Private Function PopulateBody(ByVal userName As String, ByVal title As String, ByVal url As String, ByVal description As String) As String
        Dim body As String = String.Empty
        Using reader As StreamReader = New StreamReader(Server.MapPath("~/EmailTemplate.htm"))
            body = reader.ReadToEnd()
        End Using
        body = body.Replace("{UserName}", userName)
        body = body.Replace("{Title}", title)
        body = body.Replace("{Url}", url)
        body = body.Replace("{Description}", description)
        Return body
    End Function

    Private Sub SendHtmlFormattedEmail(ByVal recepientEmail As String, ByVal subject As String, ByVal body As String)
        Using mailMessage As MailMessage = New MailMessage()
            mailMessage.From = New MailAddress(ConfigurationManager.AppSettings("UserName"))
            mailMessage.Subject = subject
            mailMessage.Body = body
            mailMessage.IsBodyHtml = True
            mailMessage.[To].Add(New MailAddress(recepientEmail))
            Dim smtp As SmtpClient = New SmtpClient()
            smtp.Host = ConfigurationManager.AppSettings("Host")
            smtp.EnableSsl = Convert.ToBoolean(ConfigurationManager.AppSettings("EnableSsl"))
            Dim NetworkCred As NetworkCredential = New NetworkCredential()
            NetworkCred.UserName = ConfigurationManager.AppSettings("UserName")
            NetworkCred.Password = ConfigurationManager.AppSettings("Password")
            smtp.UseDefaultCredentials = True
            smtp.Credentials = NetworkCred
            smtp.Port = Integer.Parse(ConfigurationManager.AppSettings("Port"))
            smtp.Send(mailMessage)
        End Using
    End Sub
End Class
